Skip to main content
GET
List definitions

Authorizations

Authorization
string
header
required

Organization-scoped Auth0 user access token issued to an approved first-party client or exchanged by a trusted OBO resource server.

Query Parameters

cursor
string

Opaque forward-only cursor returned as nextCursor by the previous page. Never construct one by hand.

Required string length: 1 - 4096
limit
integer
default:25

Page size; defaults to 25 and never exceeds 100.

Required range: 1 <= x <= 100
agentId
string

Only Definitions scoped to this Agent.

Maximum string length: 64
Pattern: ^[a-z][a-z0-9]{1,15}_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Example:

"agt_018f47a2-4f4d-7d61-9e2c-1d7b8e9a0c31"

kind
enum<string>

Semantic class of an organization-owned Definition.

Available options:
attribute,
assessment,
category,
metric
Example:

"attribute"

Matches the identifier and description.

Required string length: 1 - 200
Example:

"Marta Rojas"

status
enum<string>

Lifecycle state of an organization-owned Definition.

Available options:
draft,
active,
retired
Example:

"active"

subjectKind
enum<string>

Resource type to which a Definition may be asserted.

Available options:
contact,
conversation
Example:

"contact"

valueType
enum<string>

Validated value representation accepted by a Definition.

Available options:
text,
number,
boolean,
date,
option
Example:

"option"

Response

OK

One page of Definitions.

items
Definition · object[]
required
Maximum array length: 100
nextCursor
string | null
required

Opaque forward-only cursor returned as nextCursor by the previous page. Never construct one by hand.

Required string length: 1 - 4096